# Uses of Class
org.apache.sysds.runtime.controlprogram.parfor.LocalTaskQueue

Packages that use LocalTaskQueue
Package
Description
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.ooc.stream

## Uses of LocalTaskQueue in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type LocalTaskQueue
Modifier and Type
Method
Description
`abstract long`
TaskPartitioner.`createTasks(LocalTaskQueue<Task> queue)`
Creates set of all tasks for given problem, but streams them directly into task queue.
`long`
TaskPartitionerFactoring.`createTasks(LocalTaskQueue<Task> queue)`
`long`
TaskPartitionerFixedsize.`createTasks(LocalTaskQueue<Task> queue)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type LocalTaskQueue
Modifier
Constructor
Description
``
`LocalParWorker(long ID, LocalTaskQueue<Task> q, ParForBody body, CompilerConfig cconf, int max_retry)`

## Uses of LocalTaskQueue in org.apache.sysds.runtime.instructions.ooc

Subclasses of LocalTaskQueue in org.apache.sysds.runtime.instructions.ooc
Modifier and Type
Class
Description
`class`
`SubscribableTaskQueue<T>`

## Uses of LocalTaskQueue in org.apache.sysds.runtime.ooc.stream

Subclasses of LocalTaskQueue in org.apache.sysds.runtime.ooc.stream
Modifier and Type
Class
Description
`class`
`SourceOOCStream`